using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Threading.Tasks;

namespace Ed_ExamenU4
{
    public class BlEmpleados
    {
        private Dictionary<string, List<Hijo>> diccionario;

        public Dictionary<string,List<Hijo>> Diccionario
        {
            get { return diccionario; }
            set { diccionario = value; }
        }

        public delegate void DelegadoActualizado();
        public event DelegadoActualizado ListaActualizada;

        public void Agregar(string empleado, string nombre, DateTime fechaNacimiento,Sexo sexo)
        { }

        public void EliminarHijo(string empleado, Hijo hijo)
        { }
        

        public void Guardar()
        {
            FileStream fs = new FileStream("Datos.dat", FileMode.Create);
            BinaryFormatter bf = new BinaryFormatter();
            bf.Serialize(fs, diccionario);
            fs.Close();
        }
        public void Cargar()
        {
            if (File.Exists("Datos.dat"))
            {
                FileStream fs = new FileStream("Datos.dat", FileMode.Open);
                BinaryFormatter bf = new BinaryFormatter();
                diccionario=(Dictionary<string,List<Hijo>>)bf.Deserialize(fs);
                fs.Close();
                ListaActualizada?.Invoke();
            }
        }



    }
}
